import Global from '../../_global.mdx';
import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# entra m365group report activityfilecounts

Get the total number of files and how many of them were active across all group sites associated with an Microsoft 365 Group

## Usage

```sh
m365 entra m365group report activityfilecounts [options]
```

## Options

```md definition-list
`-p, --period <period>`
: The length of time over which the report is aggregated. Supported values `D7`, `D30`, `D90`, `D180`

`--outputFile [outputFile]`
: Path to the file where the Microsoft 365 Groups activities across group workloads report should be stored in
```

<Global />

## Remarks

:::info

This command supports only csv and json output.

:::

## Permissions
<Tabs>
  <TabItem value="Delegated">

  | Resource        | Permissions      |
  |-----------------|------------------|
  | Microsoft Graph | Reports.Read.All |

  </TabItem>
  <TabItem value="Application">

  | Resource        | Permissions      |
  |-----------------|------------------|
  | Microsoft Graph | Reports.Read.All |

  </TabItem>
</Tabs>

## Examples

Get the total number of files and how many of them were active across all group sites associated with an Microsoft 365 Group for the last week

```sh
m365 entra m365group report activityfilecounts --period D7
```

Get the total number of files and how many of them were active across all group sites associated with an Microsoft 365 Group for the last week and exports the report data in the specified path in text format

```sh
m365 entra m365group report activityfilecounts --period D7 --output text > "m365groupactivityfilecounts.txt"
```

Get the total number of files and how many of them were active across all group sites associated with an Microsoft 365 Group for the last week and exports the report data in the specified path in json format

```sh
m365 entra m365group report activityfilecounts --period D7 --output json > "m365groupactivityfilecounts.json"
```

## Response

<Tabs>
  <TabItem value="JSON">

  ```json
  [
    {
      "Report Refresh Date": "2023-05-31",
      "Total": "5647",
      "Active": "",
      "Report Date": "2023-05-31",
      "Report Period": "7"
    }
  ]
  ```

  </TabItem>
  <TabItem value="Text">

  ```text
  Report Refresh Date,Total,Active,Report Date,Report Period
  2023-05-31,5647,,2023-05-31,7
  ```

  </TabItem>
  <TabItem value="CSV">

  ```csv
  Report Refresh Date,Total,Active,Report Date,Report Period
  2023-05-31,5647,,2023-05-31,7
  ```

  </TabItem>
  <TabItem value="Markdown">

  ```md
  Report Refresh Date,Total,Active,Report Date,Report Period
  2023-05-31,5647,,2023-05-31,7
  ```

  </TabItem>
</Tabs>
